Module java.desktop
Package javax.swing.plaf.metal

## Class MetalSliderUI.MetalPropertyListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler
  - - javax.swing.plaf.metal.MetalSliderUI.MetalPropertyListener

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`
  Enclosing class:
    MetalSliderUI

      protected class MetalSliderUI.MetalPropertyListener
      extends BasicSliderUI.PropertyChangeHandler

  `PropertyListener` for `JSlider.isFilled`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MetalPropertyListener()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.beans.PropertyChangeListener

      `propertyChange`

- - ### Constructor Detail

    - #### MetalPropertyListener

          protected MetalPropertyListener()